=== debian/changelog ===
s3d (0.2.2-8) unstable; urgency=low

  * Update copyright years in debian/copyright
  * Upgrade debhelper compat to v9
  * Enable all hardening flags in debian/rules
  * Upgraded to policy 3.9.3, no changes required
  * Let debhelper set the buildflags implicitly

 -- Sven Eckelmann <sven@narfation.org>  Sat, 28 Apr 2012 13:16:52 +0200

s3d (0.2.2-7) unstable; urgency=low

  * Install missing man page mcp_object(9) through s3d-doc
  * debian/patches:
    - Add s3dosm_libgps_api5.patch, Add support for libgps API 5
      (Closes: #648497)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 12 Nov 2011 12:51:52 +0100

s3d (0.2.2-6) unstable; urgency=low

  * Add optional and required dependencies to -dev packages
  * Mark all targets in debian/rules as phony
  * Update URLs to new upstream home at sourceforge.net
  * Remove hardening-includes which are now integrated in dpkg-
    buildflags
  * Use debian packaging manual URL as format identifier in
    debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Mon, 31 Oct 2011 11:35:02 +0100

s3d (0.2.2-5) unstable; urgency=low

  * Build-Depend on cmake >= 2.8.4+dfsg.1-5 to fix FTBFS on armel and
    kfreebsd-*

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 22:55:57 +0200

s3d (0.2.2-4) unstable; urgency=low

  * debian/patches:
    - Add meshs3d_tt.patch, Add support for TT instead of HNA
  * Convert libs3d(w)2 to multiarch (Closes: #623767)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 11 Jun 2011 16:54:46 +0200

s3d (0.2.2-3) unstable; urgency=low

  * Build against libsdl1.2-dev instead of libsdl-1.2-dev (Closes:
    #625640)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 04 May 2011 20:56:58 +0200

s3d (0.2.2-2) unstable; urgency=low

  * Don't install application manpages through s3d-doc (Closes: #625489)

 -- Sven Eckelmann <sven@narfation.org>  Tue, 03 May 2011 22:13:04 +0200

s3d (0.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #534628)
  * Upgraded to policy 3.9.2, no changes required
  * debian/patches:
    - Remove upstream merged filter_pie.patch, libgps_2_90.patch,
      libs3d_small-infinity.patch, s3dfm_overflow.patch,
      s3dvt_glibc-pty.patch, version_number.patch
    - Rebase installable-examples.patch
  * Replace manpages with versions generated during build of upstream
    sources
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 May 2011 13:36:26 +0200

s3d (0.2.1.1-7) unstable; urgency=low

  * Upload to unstable
  * Updated my maintainer e-mail address
  * Keep dependencies on separate lines in debian/control
  * debian/copyright:
    - Update to DEP5 revision 164
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Sun, 06 Feb 2011 12:30:01 +0100

s3d (0.2.1.1-6) experimental; urgency=low

  * Upgraded to policy 3.9.1, no changes required
  * Upgrade debhelper compat to v8
  * set *FLAGS using dpkg-buildflags in debian/rules to work like
    dpkg-buildpackage when called directly
  * Use hardening-includes for CFLAGS and LDFLAGS hardened builds
  * Add full BSD-3 license to debian/copyright
  * debian/patches:
    - Add filter_pie.patch, Filter -fPIE and -pie for libs3d(w)
  * Explicit depend build depend on pkg-config

 -- Sven Eckelmann <sven@narfation.org>  Thu, 23 Sep 2010 13:39:58 +0200
