=== debian/control ===
Source: s3d
Section: net
Priority: extra
Maintainer: Simon Wunderlich <siwu@hrz.tu-chemnitz.de>
Uploaders: Sven Eckelmann <sven@narfation.org>
Dm-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://s3d.sourceforge.net/
Vcs-Browser: https://sourceforge.net/p/s3d/code/
Vcs-Git: git://git.code.sf.net/p/s3d/code
Build-Depends:
 cmake (>= 2.8.4+dfsg.1-5),
 debhelper (>= 9.20120417),
 dpkg-dev (>= 1.16.1.1),
 libfontconfig-dev,
 libfreetype6-dev,
 libg3d-dev (>= 0.0.7),
 libgl1-mesa-dev | libgl-dev,
 libglib2.0-dev,
 libgps-dev (>= 2.90),
 libsdl1.2-dev | libsdl-dev,
 libsqlite3-dev,
 libxml2-dev,
 libxtst-dev,
 pkg-config,
Build-Depends-Indep:
 docbook-xml (>= 4.5),
 xmlto,

Package: s3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dotmcp (= ${binary:Version}),
Description: 3d network display server
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the display server.

Package: s3d-dbg
Section: debug
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 libs3d2 (= ${binary:Version})
 | libs3dw2 (= ${binary:Version})
 | s3d (= ${binary:Version})
 | s3dvt (= ${binary:Version})
 | s3dfm (= ${binary:Version})
 | dotmcp (= ${binary:Version})
 | s3dx11gate (= ${binary:Version})
 | meshs3d (= ${binary:Version})
 | s3dosm (= ${binary:Version})
 | kism3d (= ${binary:Version})
Description: 3d network display server (debug files)
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package contains the debug files.

Package: libs3d2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d network display server library
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the library for communication with the display server.

Package: libs3d-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libs3d2 (= ${binary:Version}),
Recommends:
 pkg-config,
 s3d-doc (= ${source:Version}),
Suggests:
 libfreetype6-dev,
 libfontconfig-dev,
 libg3d-dev,
Description: 3d network display server library - development files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the header files for building your own s3d programs.

Package: libs3dw2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d network display server widget library
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the widget library.

Package: libs3dw-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libs3d-dev (= ${binary:Version}),
 libs3dw2 (= ${binary:Version}),
Recommends:
 pkg-config,
 s3d-doc (= ${source:Version}),
Description: 3d network display server widget library - development files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides the header files for using widgets in your s3d programs.

Package: s3d-data
Architecture: all
Depends:
 ${misc:Depends},
Description: 3d network display server data files
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package contains arch-independent files.

Package: s3d-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: Documentation for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides documentation for s3d.

Package: dotmcp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libg3d-plugins,
 s3d-data (= ${source:Version}),
Recommends:
 meshs3d (= ${binary:Version}),
 s3dfm (= ${binary:Version}),
 s3dvt (= ${binary:Version}),
 s3dx11gate (= ${binary:Version}),
Description: mcp for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a mcp for s3d.

Package: kism3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libg3d-plugins,
 s3d-data (= ${source:Version}),
Description: 802.11 visualizer for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 802.11 visualizer for s3d.

Package: meshs3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libg3d-plugins,
 s3d-data (= ${source:Version}),
Description: OLSR/B.A.T.M.A.N. topology visualizer for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a OLSR/B.A.T.M.A.N. topology visualizer for s3d.

Package: s3dfm
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: s3d file manager
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a file manager for s3d.

Package: s3dosm
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libg3d-plugins,
 s3d-data (= ${source:Version}),
Description: gps card application for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a gps card application for s3d.

Package: s3dvt
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 bash (>= 2.0),
Description: 3d terminal emulator for s3d
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 3d terminal emulator for s3d.

Package: s3dx11gate
Section: x11
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: 3d gateway for x11 desktops
 s3d is a 3d network display server which can be used as 3d desktop environment.
 .
 This package provides a 3d gateway for x11 desktops.
