=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DBG_PACKAGE=$(shell dpkg-parsechangelog|grep '^Source: '|sed 's/^Source:\s*//')-dbg

CMAKE_EXTRA_FLAGS := -DBUILD_EXPERIMENTAL:BOOL=OFF
CMAKE_EXTRA_FLAGS += -DENABLE_FINAL:BOOL=ON
CMAKE_EXTRA_FLAGS += -DCMAKE_EXE_LINKER_FLAGS:STRING="$(LDFLAGS) -Wl,--as-needed"
CMAKE_EXTRA_FLAGS += -DCMAKE_SHARED_LINKER_FLAGS:STRING="$(LDFLAGS) -Wl,--as-needed"
CMAKE_EXTRA_FLAGS += -DLIB_INSTALL_DIR:PATH="/usr/lib/$(DEB_HOST_MULTIARCH)/"
CMAKE_EXTRA_FLAGS += -DPKGCFG_INSTALL_DIR:PATH="/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig"

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --parallel --list-missing

get-orig-source:
	uscan --verbose --force-download

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_strip:
	dh_strip -a --dbg-package="$(DBG_PACKAGE)"

override_dh_installdocs:
	dh_installdocs -A README Documentation/RelNotes*

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_configure override_dh_strip override_dh_installdocs
