=== debian/watch ===
version=3

http://sf.net/s3d/s3d-(.*).tar.gz
