## s3d 0.2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
-project(s3d C)
-set(VERSION 0.2.2)
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
 
-# we require cmake 2.6.3 or higher
-cmake_minimum_required(VERSION 2.6.3)
+project(s3d C CXX)
+set(VERSION 0.2.2.1)
+
+cmake_minimum_required(VERSION 3.9)
 
 # set cmake policies
-if(COMMAND cmake_policy)
-	cmake_policy(SET CMP0003 NEW)
-endif(COMMAND cmake_policy)
+cmake_policy(SET CMP0003 NEW)
+cmake_policy(SET CMP0072 NEW)
+
 
 # Add directory with library checks to search path
 list(APPEND CMAKE_MODULE_PATH "${s3d_SOURCE_DIR}/cmake/modules")
