=== Documentation/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 add_subdirectory(libs3d)
 add_subdirectory(libs3dw)
 add_subdirectory(server)
