=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 add_subdirectory(dot_mcp)
 add_subdirectory(kism3d)
 add_subdirectory(meshs3d)
