=== libs3d/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,24 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 include_directories(${s3d_SOURCE_DIR}/server)
 
 set(S3D_LIBRARY_DEPENDENCIES  ${MATH_LIBRARIES} ${G3D_LIBRARIES} ${FONTCONFIG_LIBRARIES} ${FREETYPE_LIBRARIES})
 
 include(FilterPIE)
-s3d_add_library(s3d SHARED callback.c endian.c error.c event.c fontselect.c
+add_library(s3d SHARED callback.c endian.c error.c event.c fontselect.c
 	freetype.c io.c modelread.c network.c object_queue.c proto_in.c
 	proto_out.c sei_construct.c sei_misc.c sei_monotone.c sei_tri.c shm.c
 	shm_ringbuf.c tcp.c vector.c hash.c texture.c)
 target_link_libraries(s3d ${S3D_LIBRARY_DEPENDENCIES})
 set_target_properties(s3d PROPERTIES VERSION ${VERSION} SOVERSION 2
                       LINK_INTERFACE_LIBRARIES "")
+
+include(${CMAKE_ROOT}/Modules/TestCXXAcceptsFlag.cmake)
+check_cxx_accepts_flag("-Wl,--version-script=${s3d_SOURCE_DIR}/libs3d/libs3d.ver" HAVE_LIBS3D_VERSIONSCRIPT)
+if (HAVE_LIBS3D_VERSIONSCRIPT)
+set_target_properties(s3d PROPERTIES LINK_FLAGS "-Wl,--version-script=${s3d_SOURCE_DIR}/libs3d/libs3d.ver")
+endif (HAVE_LIBS3D_VERSIONSCRIPT)
 
 # install
 install(TARGETS s3d
