=== server/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-License-Identifier: BSD-3-Clause
+# SPDX-FileCopyrightText: 2007-2015  Sven Eckelmann <sven@narfation.org>
+
 include_directories(${s3d_SOURCE_DIR}/libs3d)
 
 # base files
@@ -9,15 +12,20 @@
 set(server_sdl_src graphics_sdl.c user_sdl.c)
 
 # add sdl files and libs
+if (SDL2_FOUND)
+	list(APPEND server_src ${server_sdl_src})
+	list(APPEND server_libs ${SDL2_LIBRARY})
+endif (SDL2_FOUND)
+
 if (SDL_FOUND)
 	list(APPEND server_src ${server_sdl_src})
 	list(APPEND server_libs ${SDL_LIBRARY})
 endif (SDL_FOUND)
 
 # compile base files + sdl specific parts
-s3d_add_executable(server ${server_src})
+add_executable(server ${server_src})
 
-target_link_libraries(server ${OPENGL_gl_LIBRARY} ${MATH_LIBRARIES} ${server_libs})
+target_link_libraries(server OpenGL::OpenGL ${MATH_LIBRARIES} ${server_libs})
 set_target_properties(server PROPERTIES OUTPUT_NAME "s3d")
 
 # install
