=== debian/changelog ===
s3d (0.2.2.1-2) unstable; urgency=medium

  * debian/patches:
    - Add cmake-Switch-to-external-SDL2-configuration-file.patch,
      Switch to external SDL2 configuration file (Closes: #951929)

 -- Sven Eckelmann <sven@narfation.org>  Sun, 23 Feb 2020 09:41:00 +0100

s3d (0.2.2.1-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - Upgraded to policy 4.5.0, no changes required
    - Switch to SDL2 and glvn dispatcher
    - depend on cmake 3.9
  * debian/copyright:
    - Update copyright information for 0.2.2.1 release
  * debian/patches:
    - Drop upstream merged
      Add-support-for-TT-instead-of-HNA.patch,
      Add-support-for-libgps-API-5.patch, Fix-FTBFS-glibc2.30.patch,
      Update-author-addresses.patch, s3dosm-Add-support-for-libgps-API-7.patch,
      s3dosm-Add-support-for-libgps-API-9.patch,
      s3dosm-Only-print-STATUS_DGPS_FIX-status-when-it-is-defin.patch,
      s3dvt-Fail-fork-when-setuid-or-setgid-fail.patch
  * debian/*.symbols:
    - Use versioned symbols

 -- Sven Eckelmann <sven@narfation.org>  Sun, 26 Jan 2020 11:04:40 +0100

s3d (0.2.2-20) unstable; urgency=medium

  [ Sven Eckelmann ]
  * debian/control:
    - Upgraded to policy 4.4.1, no changes required
    - Switch debhelper dependency to debhelper-compat
    - Allow build without (fake)root
    - Move repository to from ecsv-guest to ecsv salsa user
  * debian/copyright
    - Update copyright years to 2020
  * debian/patches:
    - Add s3dosm-Add-support-for-libgps-API-9.patch, Add support for
      timespec_t in libgps API 9

  [ Christian Ehrhardt ]
  * d/p/Fix-FTBFS-glibc2.30.patch: avoid issues with stropts/isastream in
    glibc >=2.30 (LP: #1855995)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 15 Jan 2020 21:24:30 +0100

s3d (0.2.2-19) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2019 15:41:02 +0200

s3d (0.2.2-18) experimental; urgency=medium

  * debian/control:
    - Automatically select correct Vcs-Git branch
  * debian/patches:
    - Add s3dosm-Add-support-for-libgps-API-7.patch, Add support for
      libgps API 7 (Closes: #926519)

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Apr 2019 16:15:25 +0200

s3d (0.2.2-17) experimental; urgency=medium

  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:17:11 +0100

s3d (0.2.2-16) unstable; urgency=medium

  * debian/control:
    - Add Multi-Arch tags to packages without maintainer scripts and equal
      common files

 -- Sven Eckelmann <sven@narfation.org>  Sat, 20 Oct 2018 07:35:49 +0200

s3d (0.2.2-15) unstable; urgency=medium

  * Override the lintian warning about missing upstream changelog
  * Override the lintian warning about unfortified functions
  * debian/patches:
    - Add Fix-spelling-errors.patch, Fix spelling errors
  * Change debian URLs to https://
  * debian/upstream/signing-key.asc
    - Import new upstream RSA 4096 key 2DE9541A85CC87D5D9836D5E0C8A47A2ABD72DF9
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/control:
    - update to debhelper 10
    - Change Vcs-Git and Vcs-Browser to salsa.debian.org
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch
  * debian/watch:
    - Work around incorrect s3d-doc match due to unexpected
      https://qa.debian.org/watch/sf.php/s3d/ file listing

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:06:06 +0200

s3d (0.2.2-14) unstable; urgency=medium

  * debian/control, debian/rules:
    - Drop s3d-dbg in favor of -dbgsym package
  * debian/patches:
    - Add Documentation-Force-xmlto-encoding-to-UTF-8.patch,
      Force xmlto encoding to UTF-8

 -- Sven Eckelmann <sven@narfation.org>  Wed, 30 Dec 2015 22:27:05 +0100

s3d (0.2.2-13) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 Nov 2015 11:56:18 +0100

s3d (0.2.2-12) experimental; urgency=medium

  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
    - Add s3dosm-Only-print-STATUS_DGPS_FIX-status-when-it-is-defin.patch,
      s3dosm: Only print STATUS_DGPS_FIX status when it is defined

 -- Sven Eckelmann <sven@narfation.org>  Sun, 01 Nov 2015 11:51:01 +0100

s3d (0.2.2-11) experimental; urgency=medium

  * Upgraded to policy 3.9.6, no changes required
  * Update years in debian/copyright
  * debian/patches:
    - Update setuidgid_fail.patch, Add missing CVE Co-Author Ismael Ripoll
      <iripoll@disca.upv.es>, Add missing setuid/setgid check in second
      function (CVE-2014-1226)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 19 Mar 2015 20:28:22 +0100

s3d (0.2.2-10) unstable; urgency=medium

  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/patches:
    - Extend DEP-3 information in patches
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:05:39 +0200

s3d (0.2.2-9) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * Remove obsolete DM-Upload-Allowed in debian/control
  * debian/watch:
    - Verify new upstream versions using GPG key 96E5AF383F7C593B6B16
      and 2FE5EC371482956781AF
  * Update e-mail address of Simon Wunderlich
  * debian/copyright:
    - Update e-mail address of Marek Lindner
    - Update e-mail address of Andreas Langer
  * debian/copyright:
    - Add email_addresses.patch, Update author addresses
  * debian/patches:
    - Add setuidgid_fail.patch, Fail fork when setuid or setgid fail

 -- Sven Eckelmann <sven@narfation.org>  Mon, 25 Nov 2013 22:48:25 +0100
