=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 http://sf.net/s3d/s3d-(\d.*).tar.gz
